Subject: ssh-add fails in Windows Vista
From: Mihai Anitescu <[email-masked]>
To: [email-masked]
Cc: Mihai Anitescu <[email-masked]>
Date: Sat, 28 Apr 2007 11:47:25 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

Hi all,
The problem is similar to the one outlined in the thread of
http://sourceware.org/ml/cygwin/2007-03/msg00671.html
but I could not find the answer. 

I have attached the strace and cygcheck -srv outputs. 
SSH_AUTH_SOCK and SSH_AGENT_PID are set by " eval  `ssh-agent -s`" and read correctly by ssh-add as far as I can tell from strace at points 16249 and 16332. 

Nonetheless, I still get the "Cannot connect to the agent" error.It seems to me the problem starts once the socket file is processed, at point 1189861 in strace. The text version of the file starts with "!<socket >56572 s 332F1 ......"

Help appreciated. 
Mihai

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/